Skip to main content
GET
Evaluate Feature Flags (GET)
This endpoint returns the variant assignments for enabled flags within a Mixpanel project. This endpoint returns a map from all feature flags that are provisioned within a Mixpanel project to the variant that the current user context is assigned to. This endpoint is rate limited to 500 requests per minute per IP address.

Authorizations

Authorization
string
header
required

Project Secret

Query Parameters

token
string

Your project token

project_id
string

The Mixpanel project_id. Provide if using service account auth.

context
string
required

URL-encoded JSON object containing evaluation context with distinct_id (required) and optional device_id and custom_properties object

Response

Success

Response containing evaluated feature flags for the user

flags
object
required

Map of flag keys to their selected variants

Example: